import { Cipher } from './class/cipher';
import { Hash } from './class/hash';
import { KeyPair } from './class/keypair';
export * from './class/client';
export * from './class/subscription';
export * from './class/topic';
export * from './event/TopicEvent';
export * from './event/SignedEvent';
export * from './schema/types';
export declare const Utils: {
    Base64: {
        encode: (bytes: Uint8Array) => string;
        decode: (string: string) => Uint8Array;
    };
    Cipher: typeof Cipher;
    Hash: typeof Hash;
    Hex: {
        encode: (bytes: Uint8Array) => string;
        decode: (hex: string) => Uint8Array;
        normalize: (input: string | Uint8Array) => Uint8Array;
        random: (size?: number | undefined) => string;
    };
    KeyPair: typeof KeyPair;
    Text: {
        isJSON: (string: string) => boolean;
        revive: <T = import("./schema/types").Json>(string: string) => string | T;
        encode: (str: string) => Uint8Array;
        decode: (raw: Uint8Array) => string;
        random: (size?: number | undefined) => string;
    };
};
//# sourceMappingURL=index.d.ts.map