import { Json } from '../schema/types';
declare function bytesToHex(bytes: Uint8Array): string;
declare function hexToBytes(hex: string): Uint8Array;
declare function normalizeHex(input: string | Uint8Array): Uint8Array;
declare function b64encode(bytes: Uint8Array): string;
declare function b64decode(string: string): Uint8Array;
declare function isJSON(string: string): boolean;
declare function revive<T = Json>(string: string): T | string;
export declare function getRandomBytes(size?: number): Uint8Array;
export declare const Hex: {
    encode: typeof bytesToHex;
    decode: typeof hexToBytes;
    normalize: typeof normalizeHex;
    random: (size?: number) => string;
};
export declare const Text: {
    isJSON: typeof isJSON;
    revive: typeof revive;
    encode: (str: string) => Uint8Array;
    decode: (raw: Uint8Array) => string;
    random: (size?: number) => string;
};
export declare const Base64: {
    encode: typeof b64encode;
    decode: typeof b64decode;
};
export {};
//# sourceMappingURL=format.d.ts.map